| OpenMS 2.5.0

HighResPrecursorMassCorrector

Corrects the precursor mz of high resolution data.

pot. predecessor tools | HighResPrecursorMassCorrector | pot. successor tools
PeakPickerHiRes | MascotAdapter (or other ID engines)

This tool performs precursor m/z correction on picked (=centroided) high resolution data.

Three methods are available: 'nearest_peak', 'highest_intensity_peak' and 'feature'.

- nearest_peak: Use nearest centroided MS1 peak for precursor mass correction.
- highest_intensity_peak: Use highest intensity centroided MS1 peak in a given mass range for precursor mass correction.
- feature: Use features for precursor mass correction, which allows for charge correction.

The method hightest_intensity_peak searches in a specific m/z-window of the precursor information for the peak with the highest intensity. Suggestioned value 1/maximal expected charge. E.g maximal expected charge 5, m/z-window = +/- 0.2 Da

See the corresponding parameter subsection for details.

The command line parameters of this tool are:

    HighResPrecursorMassCorrector -- Corrects the precursor mass and charge determined by the instrument software

    .

    Full documentation: http://www.openms.de/documentation/TOPP_HighResPrecursorMassCorrector.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      HighResPrecursorMassCorrector <options>

    Options (mandatory options marked with '*'):

      -in <file>*                                         Input file (centroided data) (valid formats: 'mzML')

      -out <file>*                                        Output file (valid formats: 'mzML')

    Use features for precursor mass correction.:

      -feature:in <file>                                  Features used to correct precursor masses. (valid forma

                                                          ts: 'featureXML')

      -feature:mz_tolerance <num>                         The precursor mass tolerance. Used to determine matchin

                                                          g to feature mass traces. (default: '5.0')

      -feature:mz_tolerance_unit <choice>                 Unit of precursor mass tolerance (default: 'ppm' valid:

                                                          'Da', 'ppm')

      -feature:rt_tolerance <num>                         Additional retention time tolerance added to feature

                                                          boundaries. (default: '0.0')

      -feature:believe_charge                             Assume precursor charge to be correct.

      -feature:keep_original                              Make a copy of the precursor and MS2 (true) or discard

                                                          the original (false).

      -feature:assign_all_matching                        Correct a precursor using all matching features (true)

                                                          or only the nearest (false). Only evaluated if copies

                                                          are created (feature:keep_original).

    Use nearest centroided MS1 peak for precursor mass correction.:

      -nearest_peak:mz_tolerance <num>                    The precursor mass tolerance to find the closest MS1

                                                          peak. (Disable method by setting value to 0.0) (default

                                                          : '0.0')

      -nearest_peak:mz_tolerance_unit <choice>            Unit of precursor mass tolerance (default: 'ppm' valid:

                                                          'Da', 'ppm')

    Use centroided MS1 peak with the highest intensity in a certrain mass range - for precursor mass correction:

      -highest_intensity_peak:mz_tolerance <num>          The precursor mass tolerance to find the highest intens

                                                          ity MS1 peak. Suggested value 1/max. expected charge.

                                                          (Disable method by setting value to 0.0) (default: '0.0

                                                          ')

      -highest_intensity_peak:mz_tolerance_unit <choice>  Unit of precursor mass tolerance (default: 'ppm' valid:

                                                          'Da', 'ppm')

      -out_csv <file>                                     Optional CSV output file for results on 'nearest_peak'

                                                          or 'highest_intensity_peak' algorithm (see correspondin

                                                          g subsection) containing columns: RT, uncorrectedMZ,

                                                          correctedMZ, deltaMZ. (valid formats: 'csv')

    Common TOPP options:

      -ini <file>                                         Use the given TOPP INI file

      -threads <n>                                        Sets the number of threads allowed to be used by the

                                                          TOPP tool (default: '1')

      -write_ini <file>                                   Writes the default configuration file

      --help                                              Shows options

      --helphelp                                          Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+HighResPrecursorMassCorrector Corrects the precursor mass and charge determined by the instrument software.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'HighResPrecursorMassCorrector'
in Input file (centroided data)input file*.mzML
out Output file output file*.mzML
out_csv Optional CSV output file for results on 'nearest_peak' or 'highest_intensity_peak' algorithm (see corresponding subsection) containing columns: RT, uncorrectedMZ, correctedMZ, deltaMZ.output file*.csv
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++feature Use features for precursor mass correction.
in Features used to correct precursor masses.input file*.featureXML
mz_tolerance 5.0 The precursor mass tolerance. Used to determine matching to feature mass traces.
mz_tolerance_unit ppm Unit of precursor mass tolerance Da,ppm
rt_tolerance 0.0 Additional retention time tolerance added to feature boundaries.
max_trace 2 Maximum isotopic trace considered in matching a precursor to a feature.
believe_charge false Assume precursor charge to be correct.true,false
keep_original false Make a copy of the precursor and MS2 (true) or discard the original (false).true,false
assign_all_matching false Correct a precursor using all matching features (true) or only the nearest (false). Only evaluated if copies are created (feature:keep_original).true,false
+++nearest_peak Use nearest centroided MS1 peak for precursor mass correction.
mz_tolerance 0.0 The precursor mass tolerance to find the closest MS1 peak. (Disable method by setting value to 0.0)
mz_tolerance_unit ppm Unit of precursor mass tolerance Da,ppm
+++highest_intensity_peak Use centroided MS1 peak with the highest intensity in a certrain mass range - for precursor mass correction
mz_tolerance 0.0 The precursor mass tolerance to find the highest intensity MS1 peak. Suggested value 1/max. expected charge. (Disable method by setting value to 0.0)
mz_tolerance_unit ppm Unit of precursor mass tolerance Da,ppm